1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

PSP's with Mobo's model IC1003???

Discussion in 'Sony PSP - Mod and firmware discussion' started by Aeger, Mar 19, 2007.

  1. Aeger

    Aeger Member

    Joined:
    Mar 19, 2007
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    11
    I bought my first PSP this January with a PS3 60 gig model to use together for the PSX games from sony's online store.....later I find out about homebrew...after I have upgraded to the 3.11...have read several posts about not EVER using Sony's upgrade if u intend to use homebrew...I am dying to play Final Fantasy 7, 8 and 9 on the PSP and am patiently waiting for a 3.11 downgrade to do so, but here in is my dilema... I have a motherboard model # IC1003 and I read somewhere that if u downgrade that, now matter what version of firmware u have, that you will have a brick when done. Is this true and is there any solution to this other than trying to find a PSP with a different model # motherboard?
     
  2. staxx

    staxx Regular member

    Joined:
    Nov 12, 2006
    Messages:
    817
    Likes Received:
    0
    Trophy Points:
    26
    First off as you probably have already read, there is no current downgrader for 3.11.

    Secondly yes it is possible to downgrade a IC1003 (TA-082) motherboard. There are many tutorials out for downgrading a TA-082 motherboard.
     
  3. Aeger

    Aeger Member

    Joined:
    Mar 19, 2007
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    11
    Thnx Staxx....so once there is a downgrade for 3.11 I should be able to downgrade and install the DarkAlex 3.02 software and play PSX games or will I have to downgrade to my old 2.71 firmware (that came on the system) and run an emulator to play games like FF7, Parappa and such?
     
  4. staxx

    staxx Regular member

    Joined:
    Nov 12, 2006
    Messages:
    817
    Likes Received:
    0
    Trophy Points:
    26
    once there is a downgrader for 3.11 it will enable you to downgrade to 1.50...from 1.50 you can upgrade to 3.03 oe-c hexitnow has a winstaller stickied in this forum that you can use to upgrade to 3.03 oe-c from 1.50
     

Share This Page